Loading...
Searching...
No Matches
CsoundTextEvent Struct Reference

Specialization of CsoundEvent for high-level textual score events, fragments of scores, or entire scores. More...

`#include <csound_threaded.hpp>`

Inheritance diagram for CsoundTextEvent:

## Public Member Functions

| CsoundTextEvent (const char *text)
virtual int | operator() (CSOUND *csound_)
| Dispatches the event to Csound during performance.

## Data Fields

std::string | events

## Detailed Description

Specialization of CsoundEvent for high-level textual score events, fragments of scores, or entire scores.

## Constructor & Destructor Documentation

## CsoundTextEvent()

CsoundTextEvent::CsoundTextEvent | ( | const char * | text | ) |

inline

References events.

## Member Function Documentation

## operator()()

virtual int CsoundTextEvent::operator() | ( | CSOUND * | csound_ | ) |

inline virtual

Dispatches the event to Csound during performance.

Implements CsoundEvent.

References csoundReadScore(), and events.

## Field Documentation

## events

std::string CsoundTextEvent::events

Referenced by CsoundTextEvent(), and operator()().